Subject: bug#7498: 23.2; scheme-mode.el doesn't parse racket file correctly

From: Alan Third <[email-masked]>
Date: Fri, 12 Aug 2016 20:12:14 +0100

Alexander Haeckel <[email-masked]> writes:

> I describe the problem from 'emacs -Q':
> scheme-mode.el isn't able to correctly parse the file:
> racket-5.0.2/collects/drracket/tool-lib.rkt
> When I open the file, go to position (79,0)
> and execute `forward-sexp' I get
> Scan error: "Unbalanced parentheses", 2852, 65105
>
> The expected behaviour is for the point to be moved at the end
> of the file behind the last closing parenthesis to position (1663,85).
> When I move the point at the end of the file behind the last closing
> parenthesis and do `backward-sexp' the point is moved to line
> the point is moved to position (152,19) instead to (79,0), where
> the next character is an opening curly brace.

There are lines of the form:

    @item{@racket[error-print-width] is set to 250;}

that appear to break things, because scheme-mode sees that closing curly
bracket as a comment. This syntax looks like it’s Racket specific.

My elisp skills aren’t good enough to tell if this is fixable.
-- 
Alan Third